Resource exhaustion in IBM TXSeries for Multiplatforms



Published: 2023-01-25
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-37734
CWE-ID CWE-400
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
IBM TXSeries for Multiplatforms
Server applications / Other server solutions

Vendor IBM Corporation

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Resource exhaustion

EUVDB-ID: #VU67948

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-37734

CWE-ID: CWE-400 - Resource exhaustion

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to application does not properly control consumption of internal resources. A remote attacker can trigger send a specially crafted GraphQL query and consume available CPU resources, resulting in a denial of service.

Mitigation

Install update from vendor's website.

Vulnerable software versions

IBM TXSeries for Multiplatforms: before 8.1.0.3


CPE2.3
External links

http://www.ibm.com/support/pages/node/6856687

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###